# Class CounterManager.Counter

java.lang.Object
picard.analysis.CounterManager.Counter

Enclosing class:
  `CounterManager`

public class CounterManager.Counter extends Object
Class represents an integer array with methods to increment and get the values from it with respect to offset of outer `CounterManager`.

## Method Summary

Modifier and Type
Method
Description
`int`
`get(int index)`
`void`
`increment(int index)`
Increments value corresponding to reference sequence index

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### increment

public void increment(int index)
Increments value corresponding to reference sequence index

Parameters:
  `index` - in the reference sequence

### get

public int get(int index)

Parameters:
  `index` - in the reference sequence
Returns:
  value from the inner array, corresponding to input reference index